Name:           perl-Crypt-OpenSSL-Bignum
Version:        0.09
Release:        6
Summary:        OpenSSL's multiprecision integer arithmetic
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-OpenSSL-Bignum
Source0:        https://cpan.metacpan.org/authors/id/K/KM/KMX/Crypt-OpenSSL-Bignum-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make openssl openssl-devel perl-devel perl-generators perl-interpreter perl(base)
BuildRequires:  perl(Carp) perl(Config) perl(DynaLoader) perl(ExtUtils::MakeMaker) perl(strict) perl(Test) perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Crypt::OpenSSL::Bignum is an XS perl module designed to provide basic access to the OpenSSL
multiprecision integer arithmetic libraries.Presently, many though not all of the arithmetic
operations that OpenSSL provides are exposed to perl.  In addition, this module can be used
to provide access to bignum values produced by other OpenSSL modules, such as key parameters
from Crypt::OpenSSL::RSA.
This module requires that the OpenSSL libraries and header files be installed.

%package help
Summary:        Help package for perl-Crypt-OpenSSL-Bignum

%description help
This package contains some man help files for perl-Crypt-OpenSSL-Bignum.

%prep
%autosetup -n Crypt-OpenSSL-Bignum-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -name .packlist | xargs rm
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorarch}/{auto,Crypt}

%files help
%{_mandir}/man3/*

%changelog
* Sat Dec 21 2019 lingsheng <lingsheng@huawei.com> - 0.09-6
- Package init
